import { RouterView } from 'vue-router';

export default {
    path: '/route/roadmap',
    name: 'Roadmap',
    meta: {
        title: 'roadmap',
        icon: 'vn:troncales',
    },
    component: RouterView,
    redirect: { name: 'RouteMain' },
    menus: {
        card: ['RoadmapBasicData', 'RoadmapStops'],
    },
    children: [
        {
            name: 'RouteRoadmapCard',
            path: ':id',
            component: () => import('src/pages/Route/Roadmap/RoadmapCard.vue'),
            redirect: { name: 'RoadmapSummary' },
            children: [
                {
                    name: 'RoadmapSummary',
                    path: 'summary',
                    meta: {
                        title: 'summary',
                        icon: 'open_in_new',
                    },
                    component: () => import('pages/Route/Roadmap/RoadmapSummary.vue'),
                },
                {
                    name: 'RoadmapBasicData',
                    path: 'basic-data',
                    meta: {
                        title: 'basicData',
                        icon: 'vn:settings',
                    },
                    component: () => import('pages/Route/Roadmap/RoadmapBasicData.vue'),
                },
                {
                    name: 'RoadmapStops',
                    path: 'stops',
                    meta: {
                        title: 'stops',
                        icon: 'vn:lines',
                    },
                    component: () => import('pages/Route/Roadmap/RoadmapStops.vue'),
                },
            ],
        },
    ],
};
